API referenceGrowth
Create a coupon
AuthorizationBearer <token>
API key from Settings → API keys
In: header
Path Parameters
storeId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/stores/string/coupons" \ -H "Content-Type: application/json" \ -d '{ "code": "string", "kind": "percent", "value": 1 }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "code": "string", "kind": "percent", "value": -9007199254740991, "currency": "string", "currencyValues": { "property1": -9007199254740991, "property2": -9007199254740991 }, "maxRedemptions": -9007199254740991, "maxDiscountedUnits": -9007199254740991, "maxDiscountMinor": -9007199254740991, "minSubtotalMinor": -9007199254740991, "perCustomerLimit": -9007199254740991, "startsAt": "string", "endsAt": "string", "eligibleProductIds": [ "ea29b267-1fc6-4712-9095-8625512d5326" ], "eligiblePaymentMethodIds": [ "f20f77b0-1fa5-4a4b-b162-49fb66837cc0" ], "eligibleEmails": [ "string" ], "countUsesAt": "paid", "incompatibleWith": [ "volume_discount" ], "status": "active", "source": "merchant", "effectiveStatus": "active", "redeemed": -9007199254740991, "held": -9007199254740991, "counted": -9007199254740991, "savedMinor": -9007199254740991, "revenueMinor": -9007199254740991, "lastUsedAt": "string", "createdAt": "string"}